version: '3.8'
services:
  hexter-brain:
    image: python:3.9-slim
    container_name: hexter_core
    restart: always
    volumes:
      - .:/app
    working_dir: /app
    ports:
      - "9000:8000"
    environment:
      - MASTER_KEY=4289*6395  # รหัสศักดิ์สิทธิ์จากแหวนบอส
      - SYSTEM_NAME=HarinEstate_Hexter
    command: >
      sh -c "echo 'Hexter is waking up...' > status.txt && 
             python3 -m http.server 8000" 
             # บรรทัดบนนี้คือให้ Hexter รันหน้าเว็บจำลองไว้เช็กสถานะครับ